using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertTbkLinkDTO
{

    /*
        转链结果
    */
    private IList<TaobaoTbkDgGeneralLinkConvertMaterialUrlList>? materialUrlList;


    /*
        店铺转链结果
    */
    private IList<TaobaoTbkDgGeneralLinkConvertShopUrlList>? shopUrlList;


    /*
        活动转链信息
    */
    private IList<TaobaoTbkDgGeneralLinkConvertEventUrlList>? eventUrlList;


    /*
        单品转链信息
    */
    private IList<TaobaoTbkDgGeneralLinkConvertItemUrlList>? itemUrlList;



    [JsonPropertyName("material_url_list")]
    public IList<TaobaoTbkDgGeneralLinkConvertMaterialUrlList>? MaterialUrlList
    {
        get => materialUrlList;
        set => this.materialUrlList = value;
    }

    [JsonPropertyName("shop_url_list")]
    public IList<TaobaoTbkDgGeneralLinkConvertShopUrlList>? ShopUrlList
    {
        get => shopUrlList;
        set => this.shopUrlList = value;
    }

    [JsonPropertyName("event_url_list")]
    public IList<TaobaoTbkDgGeneralLinkConvertEventUrlList>? EventUrlList
    {
        get => eventUrlList;
        set => this.eventUrlList = value;
    }

    [JsonPropertyName("item_url_list")]
    public IList<TaobaoTbkDgGeneralLinkConvertItemUrlList>? ItemUrlList
    {
        get => itemUrlList;
        set => this.itemUrlList = value;
    }

}

